<header *ngIf="!router.url.includes('/track')">
  <div class="container-fluid">
    <div class="row" style="min-height: 50px; height: 50px">
      <div class="mr-auto d-flex align-items-center">
        <!-- <h1 class="pl-3  my-4" i18n="@@vehicles">{{breadcrumbService.getTitle()}}</h1> -->
        <div class="col-12">
          <breadcrumb
            [icon]="breadcrumbsService.getIconeName()"
            [parentLinkTitle]="breadcrumbsService.getSubTitle()"
            [parentLinkTraduction]="'@@vehicleList'"
            [childLinkTitle]="breadcrumbsService.getSubSubTitle()"
            [childLinkTraduction]="''"
            [parentLink]="''"
          ></breadcrumb>
        </div>
      </div>
      <div class="ml-auto pt-0 action-btn-container" style="min-height: 50px; height: 50px">
        <form class="navbar-form mb-0 mt-4"></form>
        <button
          *ngIf="this.params?.newType"
          type="button"
          class="btn secondary-strada-btn strada-btn-medium"
          i18n="@@addStop"
          style="font-family: 'AvenirHeavy'"
          (click)="this.navbar.newTypeClicked($event)"
        >
          <!-- <strong style="color:  #354360; margin-top: 5px;"> <b></b>Annuler</b>  </strong>addProfileBtn Annuler -->
          {{ 'L_NavBar_NewType' | translate }}
        </button>
        <button
          *ngIf="this.params?.exportPDF"
          type="button"
          class="btn btn-danger export-btn"
          i18n="@@addStop"
          (click)="this.navbar.exportPDFClicked($event)"
        >
          <svg-icon
            src="assets/icon-svg/pdf.svg"
            [applyCss]="true"
            [svgStyle]="{ 'width.px': '20', 'height.px': '23' }"
          >
          </svg-icon>
        </button>
        <button
          *ngIf="this.params?.exportXLS"
          type="button"
          class="btn btn-danger export-btn"
          i18n="@@addStop"
          (click)="this.navbar.exportXLSClicked($event)"
        >
          <svg-icon src="assets/icon-svg/xls.svg" [applyCss]="true" [svgStyle]="{ 'width.px': 20, 'height.px': '23' }">
          </svg-icon>
        </button>
        <!-- *ngIf="this.params?.saveBtn !== undefined" -->

        <button
          type="button"
          *ngIf="this.params?.saveBtn"
          i18n="@@addStop"
          class="btn btn-danger save-btn"
          [disabled]="this.params.saveBtnDisabled || this.params.loadingSaveBtn"
          (click)="this.navbar.clickedSaveBtn($event)"
        >
          <svg-icon
            *ngIf="!this.params.loadingSaveBtn; else loader"
            src="/assets/icon-svg/save-icon.svg"
            [svgStyle]="{ 'width.px': 20, 'height.px': 20 }"
          ></svg-icon>
          <ng-template #loader>
            <mat-spinner [diameter]="25"> </mat-spinner>
          </ng-template>
        </button>
        <button
          type="button"
          *ngIf="this.params?.button !== undefined && this.params?.button.title == 'Nouveau profil'"
          class="btn btn-danger strada-btn-large secondary-strada-btn-with-icon secondary-strada-btn"
          i18n="@@addStop"
          (click)="this.navbar.clicked($event)"
        >
          <span>
            {{ this.params?.button.title }}
          </span>
          <fa-icon
            *ngIf="params.button.faIcon && !params.button.iconUrl"
            class="fa faPlus"
            [icon]="['fas', params.button.faIcon]"
          ></fa-icon>
          <svg-icon *ngIf="params.button.iconUrl" src="{{ params.button.iconUrl }}"></svg-icon>
        </button>
        <!-- class="btn btn-danger transparent-btn save-btn" -->
        <button
          *ngIf="this.params?.actionsList?.length > 0 && updateStatus"
          class="btn btn-primary mr-3 strada-btn-large primary-strada-btn primary-strada-btn-with-icon"
          mat-button
          [matMenuTriggerFor]="menu"
        >
          <span> {{ 'L_Navbar_ButtonAction' | translate }} </span>
          <fa-icon class="text-white ml-4" [icon]="faChevronDown"></fa-icon>
        </button>
        <button
          type="button"
          *ngIf="this.params?.button !== undefined && this.params?.button.title !== 'Nouveau profil'"
          class="btn btn-danger strada-btn-large secondary-strada-btn-with-icon secondary-strada-btn"
          i18n="@@addStop"
          (click)="this.navbar.clicked($event)"
        >
          <span>
            {{ this.params?.button.title | translate }}
          </span>
          <fa-icon
            *ngIf="params.button.faIcon && !params.button.iconUrl"
            class="fa faPlus"
            [icon]="['fas', params.button.faIcon]"
          ></fa-icon>
          <svg-icon *ngIf="params.button.iconUrl" src="{{ params.button.iconUrl }}"></svg-icon>
        </button>
        <mat-menu #menu class="action-menu">
          <button
            *ngFor="let action of this.params?.actionsList"
            mat-menu-item
            (click)="doAction(action.slug, $event)"
            (click)="this.navbar.setpopup(action.title)"
            [disabled]="action.disabled"
            data-toggle="modal"
            data-target="#modelListActivation"
          >
            <fa-icon
              *ngIf="action.faIcon && !action.iconUrl"
              class="fa faPlus"
              [icon]="['fas', action.faIcon]"
            ></fa-icon>
            <svg-icon *ngIf="action.iconUrl" src="{{ action.iconUrl }}"></svg-icon>
            {{ action.title | translate }}
          </button>
        </mat-menu>
        <!-- <select #langSelect   (change)="translate.use(langSelect.value)" (change)="translateUser(langSelect.value)">
          <option *ngFor="let lang of translate.getLangs()" [value]="lang" [selected]="lang === translate.currentLang">{{ lang }}</option>
        </select> -->
      </div>
    </div>
    <div
      class="row bottom-nav-section"
      *ngIf="params?.dataSelector || params?.periodeSelector || params?.search"
      style="min-height: 50px"
    >
      <div class="d-lg-flex col-12">
        <div class="pl-0 ml-auto w-100 pl-5 pt-0 d-flex align-items-center pr-0" style="max-width: 50%"></div>
      </div>
    </div>
  </div>
</header>
